EDIT - bug #6356

taxontree sort order as in editor
01/20/2017 02:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Norbert Kilian % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

The classification browser (taxontree) should be using the same sort order as the taxon navigator in the editor.
Maybe this should be optional? Do we need to allow configuring the sort mode?
How taxon nodes are sorted in the portal:

the nodes at level lower than root level are being sorted in the portal in the function cdm_taxontree.module#cdm_taxontree_populate.
The order of nodes at root level seems not to be changed:

function cdm_taxontree_populate ($tree, S$Sexpand_excluded, $filter_default = NULL) {

// Reorder nodes which are not expanded, expanded nodes are reordered
// implicitly above.
if (isset ($tree[$Suuid]->children) && count (Stree[Suuid]->children) > 1) {
// Copy the children into an array which can be sorted by its keys.
Sordered = array/();
foreach (S$tree[$Suuid]->children as S$cnode) {
// Concatenate full name and uid.
Sreordered[str_pad($Scnode->titleCache, 255, '-') . S$cnode->taxonUuid] = $cnode;

// Sort.
ksort (Sreordered) ;

// Move the children back into the parent node.
Stree[$uuid]->children = array();
foreach (Sreordered as S$cnode) {

Stree[$uuid] ->children[$cnode->taxonUuid] = $cnode;

That is the nodes are sorted only alphabetically in the portal.

TODO: Check if the order of the nodes as they are coming from the web service is already ordered correctly. In this case we only
need to remove the reordering implemented in the portal

Related issues:
Related to EDIT - bug #9102: taxonNode status icon breaks sort order in taxon... Closed

Associated revisions

Revision af3fb709 - 09/22/2020 06:11 PM - Andreas Kohlbecker
ref #6356 using TaxonNodeSortMode.RankAndAlphabeticalOrder as default in all contollers

History
#1 - 03/10/2017 08:50 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#2 - 05/11/2017 03:33 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#3 - 07/06/2017 10:21 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#4 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/24/2017 01:37 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#6 - 11/07/2017 11:36 AM - Andreas Kohlbecker

- Description updated

#7 - 11/07/2017 11:41 AM - Andreas Kohlbecker

Can someone provide us with a good test case, example for well ordered taxon nodes which covers most of the special cases?

#8 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#9 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#10 - 01/31/2018 12:11 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#11 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#12 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#13 - 06/28/2018 12:13 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#14 - 07/19/2018 03:25 PM - Andreas Kohlbecker
- Tags deleted (phycobank)

no longer important for phycobank since we will model the classification with taxon relations

#15 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#16 - 09/06/2018 11:15 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#17 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#18 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6
#19 - 02/22/2019 05:27 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets

#20 - 02/23/2019 12:17 AM - Andreas Miiller
- Description updated

#21 - 06/25/2020 06:33 PM - Andreas Kohlbecker

- Related to bug #9102: taxonNode status icon breaks sort order in taxontree added

#22 - 09/22/2020 06:12 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#23 - 09/22/2020 06:12 PM - Andreas Kohlbecker
- % Done changed from 0 to 40

#24 - 09/22/2020 06:25 PM - Andreas Kohlbecker

The sort code in cdm_taxontree_populate() mentioned above is related to the no longer used special featured of the taxon tree and thus has no effect
on the sort order. Cleaning this up is another issue.

| defined TaxonNodeSortMode.RankAndAlphabeticalOrder as default sort order for all web service controlers, which should be fine, since this order is
expected anyway in all cases as far as | know.

#25 - 09/22/2020 06:26 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Norbert Kilian

- Target version changed from Unassigned CDM tickets to Release 5.18

- % Done changed from 40 to 50

Please confirm that the sort order is now as expected.

#26 - 12/02/2020 02:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Norbert wrote: "alles klar, gelost!"
